Bug 1000201 - [abrt] wkhtmltopdf-0.11.0-0.2.rc1.fc19: QWebPage::mainFrame: Process /usr/bin/wkhtmltopdf was killed by signal 11 (SIGSEGV)
[abrt] wkhtmltopdf-0.11.0-0.2.rc1.fc19: QWebPage::mainFrame: Process /usr/bin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wkhtmltopdf (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:b663c157e92d140108dbfee30d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 18:44 EDT by Michael Jordan
Modified: 2015-02-17 11:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:52:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.65 KB, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: core_backtrace (3.28 KB, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: dso_list (10.41 KB, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: environ (5.16 KB, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: maps (56.14 KB, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: open_fds (425 bytes, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details
File: var_log_messages (403 bytes, text/plain)
2013-08-22 18:44 EDT, Michael Jordan
no flags Details

  None (edit)
Description Michael Jordan 2013-08-22 18:44:28 EDT
Description of problem:
Just tried to run wkhtmltopdf on html kernel docs from 3.10 tree

Version-Release number of selected component:
wkhtmltopdf-0.11.0-0.2.rc1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        wkhtmltopdf -s Letter --title KernelDocs toc index.html
crash_function: QWebPage::mainFrame
executable:     /usr/bin/wkhtmltopdf
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 QWebPage::mainFrame at /lib64/libQtWebKit.so.4
 #1 wkhtmltopdf::PdfConverterPrivate::printDocument at ../lib/pdfconverter.cc:608
 #2 wkhtmltopdf::PdfConverterPrivate::pagesLoaded at ../lib/pdfconverter.cc:240
 #3 QMetaObject::activate at kernel/qobject.cpp:3547
 #4 wkhtmltopdf::MultiPageLoader::loadFinished at ../../build/moc_multipageloader.cpp:117
 #5 wkhtmltopdf::PdfConverterPrivate::beginConvert at ../lib/pdfconverter.cc:169
 #6 wkhtmltopdf::ConverterPrivate::convert at ../lib/converter.cc:90
 #7 wkhtmltopdf::Converter::convert at ../lib/converter.cc:147
Comment 1 Michael Jordan 2013-08-22 18:44:32 EDT
Created attachment 789387 [details]
File: backtrace
Comment 2 Michael Jordan 2013-08-22 18:44:34 EDT
Created attachment 789388 [details]
File: cgroup
Comment 3 Michael Jordan 2013-08-22 18:44:36 EDT
Created attachment 789389 [details]
File: core_backtrace
Comment 4 Michael Jordan 2013-08-22 18:44:39 EDT
Created attachment 789390 [details]
File: dso_list
Comment 5 Michael Jordan 2013-08-22 18:44:41 EDT
Created attachment 789391 [details]
File: environ
Comment 6 Michael Jordan 2013-08-22 18:44:43 EDT
Created attachment 789392 [details]
File: exploitable
Comment 7 Michael Jordan 2013-08-22 18:44:45 EDT
Created attachment 789393 [details]
File: limits
Comment 8 Michael Jordan 2013-08-22 18:44:47 EDT
Created attachment 789394 [details]
File: maps
Comment 9 Michael Jordan 2013-08-22 18:44:50 EDT
Created attachment 789395 [details]
File: open_fds
Comment 10 Michael Jordan 2013-08-22 18:44:52 EDT
Created attachment 789396 [details]
File: proc_pid_status
Comment 11 Michael Jordan 2013-08-22 18:44:54 EDT
Created attachment 789397 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 14:33:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:52:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.